Skip to navigation

Get payment information for payments

View as Markdown

Retrieves a list containing information about one or more payments. If the from date or to date queries are not used, the response returns payment information for the last 365 days.

Privileges required: account administrator

Authentication

Authorizationstring

OAuth 2.0 access token (JWT or auth-code grant). Sent as Authorization: Bearer <token>.

Path parameters

accountIdstringRequired

The external account number (int) or account id GUID.

Query parameters

from_datestringOptional

Specifies the date/time of the earliest payment in the account to retrieve.

to_datestringOptional

Specifies the date/time of the latest payment in the account to retrieve.

Response

Successful response.
billingPaymentslist of objectsOptional

Reserved: TBD

nextUristringOptional

The URI for the next chunk of records based on the search request. It is null if this is the last set of results for the search.

previousUristringOptional

The URI for the prior chunk of records based on the search request. It is null if this is the first set of results for the search.

Errors

400
Bad Request Error